using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [GlobalClass,Tool]
  public partial class IsState:SceneCondition
  {
    [Export]
    public EatDaRichGame.State state;

    public override bool Evaluate()
    {
      var edr = Unique<EatDaRichGame>.Get();
      return edr.state == state;
    }
       

  }
}